JUCE: BlockConfigManager Struct Reference

JUCE

Classes | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
BlockConfigManager Struct Reference

Manages the configuration of blocks. More...

## Classes
struct | ConfigDescription
| Structure describing a configuration. More...

## Public Member Functions
void | setDeviceIndex (TopologyIndex newDeviceIndex)
void | setDeviceComms (PhysicalTopologySource::DeviceConnection *newConn)
int32 | getItemValue (ConfigItemId item)
void | setItemValue (ConfigItemId item, int32 value)
int32 | getItemMin (ConfigItemId item)
void | setItemMin (ConfigItemId item, int32 min)
int32 | getItemMax (ConfigItemId item)
void | setItemMax (ConfigItemId item, int32 max)
bool | getItemActive (ConfigItemId item)
void | setItemActive (ConfigItemId item, bool isActive)
String | getOptionName (ConfigItemId item, uint8 optionIndex)
Block::ConfigMetaData | getMetaData (ConfigItemId item)
void | resetConfigListActiveStatus ()
void | setBlockConfig (ConfigItemId item, int32 value)
void | requestBlockConfig (ConfigItemId item)
void | requestFactoryConfigSync ()
void | requestUserConfigSync ()
void | handleConfigUpdateMessage (int32 item, int32 value, int32 min, int32 max)
void | handleConfigSetMessage (int32 item, int32 value)

## Public Attributes
ConfigDescription | configList [numConfigItems]

## Static Public Attributes
static constexpr uint32 | numConfigItems = 69

## Detailed Description

Manages the configuration of blocks.

## Member Function Documentation

## ◆ setDeviceIndex()

void BlockConfigManager::setDeviceIndex | ( | TopologyIndex | newDeviceIndex | ) |

## ◆ setDeviceComms()

void BlockConfigManager::setDeviceComms | ( | PhysicalTopologySource::DeviceConnection * | newConn | ) |

## ◆ getItemValue()

int32 BlockConfigManager::getItemValue | ( | ConfigItemId | item | ) |

References BlockConfigManager::ConfigDescription::value.

## ◆ setItemValue()

void BlockConfigManager::setItemValue | ( | ConfigItemId | item,
|  | int32 | value
| ) |  |

References BlockConfigManager::ConfigDescription::value.

## ◆ getItemMin()

int32 BlockConfigManager::getItemMin | ( | ConfigItemId | item | ) |

References BlockConfigManager::ConfigDescription::min.

## ◆ setItemMin()

void BlockConfigManager::setItemMin | ( | ConfigItemId | item,
|  | int32 | min
| ) |  |

References min(), and BlockConfigManager::ConfigDescription::min.

## ◆ getItemMax()

int32 BlockConfigManager::getItemMax | ( | ConfigItemId | item | ) |

References BlockConfigManager::ConfigDescription::max.

## ◆ setItemMax()

void BlockConfigManager::setItemMax | ( | ConfigItemId | item,
|  | int32 | max
| ) |  |

References BlockConfigManager::ConfigDescription::max, and max().

## ◆ getItemActive()

bool BlockConfigManager::getItemActive | ( | ConfigItemId | item | ) |

References BlockConfigManager::ConfigDescription::isActive.

## ◆ setItemActive()

void BlockConfigManager::setItemActive | ( | ConfigItemId | item,
|  | bool | isActive
| ) |  |

References BlockConfigManager::ConfigDescription::isActive.

## ◆ getOptionName()

String BlockConfigManager::getOptionName | ( | ConfigItemId | item,
|  | uint8 | optionIndex
| ) |  |

References BlockConfigManager::ConfigDescription::optionNames.

## ◆ getMetaData()

Block::ConfigMetaData BlockConfigManager::getMetaData | ( | ConfigItemId | item | ) |

References BlockConfigManager::ConfigDescription::toConfigMetaData().

## ◆ resetConfigListActiveStatus()

void BlockConfigManager::resetConfigListActiveStatus | ( |  | ) |

## ◆ setBlockConfig()

void BlockConfigManager::setBlockConfig | ( | ConfigItemId | item,
|  | int32 | value
| ) |  |

References BlocksProtocol::HostPacketBuilder< maxPacketBytes >::addConfigSetMessage().

## ◆ requestBlockConfig()

void BlockConfigManager::requestBlockConfig | ( | ConfigItemId | item | ) |

References BlocksProtocol::HostPacketBuilder< maxPacketBytes >::addRequestMessage().

## ◆ requestFactoryConfigSync()

void BlockConfigManager::requestFactoryConfigSync | ( |  | ) |

References BlocksProtocol::HostPacketBuilder< maxPacketBytes >::addRequestFactorySyncMessage().

## ◆ requestUserConfigSync()

void BlockConfigManager::requestUserConfigSync | ( |  | ) |

References BlocksProtocol::HostPacketBuilder< maxPacketBytes >::addRequestUserSyncMessage().

## ◆ handleConfigUpdateMessage()

void BlockConfigManager::handleConfigUpdateMessage | ( | int32 | item,
|  | int32 | value,
|  | int32 | min,
|  | int32 | max
| ) |  |

References BlockConfigManager::ConfigDescription::isActive, BlockConfigManager::ConfigDescription::max, max(), min(), BlockConfigManager::ConfigDescription::min, and BlockConfigManager::ConfigDescription::value.

## ◆ handleConfigSetMessage()

void BlockConfigManager::handleConfigSetMessage | ( | int32 | item,
|  | int32 | value
| ) |  |

References BlockConfigManager::ConfigDescription::value.

## Member Data Documentation

## ◆ numConfigItems

constexpr uint32 BlockConfigManager::numConfigItems = 69
| staticconstexpr

## ◆ configList

ConfigDescription BlockConfigManager::configList[numConfigItems]

The documentation for this struct was generated from the following file:

- juce_BlockConfigManager.h